Issue 118773 - Set borders of merged cells in table, it shows wrong
Summary: Set borders of merged cells in table, it shows wrong
Status: CONFIRMED
Alias: None
Product: Draw
Classification: Application
Component: formatting (show other issues)
Version: 3.4.0 Beta (OOo)
Hardware: PC All
: P5 (lowest) Normal (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-01-12 06:54 UTC by Li Lin Yi
Modified: 2013-01-29 21:47 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Merger cell with wrong border (9.00 KB, patch)
2012-01-12 07:02 UTC, Li Lin Yi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description Li Lin Yi 2012-01-12 06:54:47 UTC
Steps to Reproduce:
1. Start OpenOffice.org Draw.
2. Insert a 3*3 table.
3. Merge first two cells in the first row.
4. Merge second and third cells in the second row.
5. Click inside the merged cell in the first row, right click it, choose "Table...", "Format Cells" dialog appears.
6. Click "Borders", change Line Style to 2.50pt and Color to Black. Choose "Set Outer Border Only" button under "Line arrangement", click OK.

Actual Results: 
There's no right border on the merged cell in the first line, but there's a border under the third cell (unmerged).

Expected Results:
The merged cell in the first line should have black border and other cells should have no border.

Build Date & Platform:
OpenOffice.org 3.4.0 OOO340ml(Build:9584), on SUSE Linux Enterprise Desktop 11(i586)
Comment 1 Li Lin Yi 2012-01-12 07:02:56 UTC
Created attachment 77127 [details]
Merger cell with wrong border
Comment 2 Li Lin Yi 2012-01-12 10:19:56 UTC
Build revision is 1229490。
Comment 3 Armin Le Grand 2012-02-06 12:02:49 UTC
ALG: Happens as desribed. It is enough to merge the first two cells, already happens. Again going to "Table..." shows that indeed right border got not set.